import java.io.*;

public class DemoScoreall {
    
    public static void main(String[] args) throws IOException {
      //int mainArray1[][] = Auxiliaries.readScores("scores1.data");
      System.out.println("Reading from scores1.data is");
      readScores("scores1.data");
      System.out.println("Reading from scores2.data is");
      readScores("scores2.data");
      //verifyScores(readScores("scores1.data"), readScores("scores2.data"));
    }
  
  public static String[][] readScores(String fileName) throws IOException {

    //FileInputStream stream = new FileInputStream(fileName);
    InputStream stream;
	if (stream != null) {
    	stream = new FileInputStream(fileName);
	}
    InputStreamReader reader = new InputStreamReader(stream);
    StreamTokenizer tokens = new StreamTokenizer(reader);
    String scores[][] = null;
    int next = 0;
    int i = 0;
    while ( (next = tokens.nextToken()) != tokens.TT_EOF ) {
      switch (next) {
        case tokens.TT_WORD :
             scores[i][0] = tokens.sval;
             i++;
             break;
        case tokens.TT_NUMBER :
             scores[i][1] = tokens.toString();
             tokens.nextToken(); 
             scores[i][2] = tokens.toString();
             i++;
             break;
      }
    }
    stream.close();
    return scores;
 }

  public static void verifyScores(String[][] s1, String[][] s2) throws IOException {
    int i=0; 
    int j=0;
    while ( s1[i][0] != null || s2[i][0] != null ) {
        if ( (s1[i][1] != s2[i][1]) || (s1[i][2] != s2[i][2]) ) {
            System.out.println("The team " + s1[i][0] + " has different scores.");
        }
        i++;
    }
  }

}
  
/*  for (counterj = j; counterj <= 20 ; ++counterj){
    for (counteri = i; counteri <=1 ; ++counteri){
      if ( readScores1[counteri][counterj]
           ==readScores2[counteri][counterj]){
        System.out.println("The "+counterj"th row is the same value");}
      else{
        Systemout.print("The team" +Team[counterj]);
        System.out.println("has different scores");
        System.out.println(readScores1[counteri][counterj]);
        System.out.println(readScores2[counteri][counterj]);}
      }
    }
  }     
}
*/





